Subject: who should try to explain: the update proposer or the RFC defender

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 18 Apr 2019 21:08:50 +0200

In private this debate happened:

Should someone that proposes an update to RFC explain that update?

Or should one rather explain why the existing RFC is the way it is today?

My point of view is that some ideas that are already present in some 
RFCs may be wrong, because the process that was followed to put them 
there may have lacked some aspects, some times transparency.  Hence, the 
ideas already present in some RFCs need to be explained first in order 
to continue.

The discrepancy between implementation and RFC is a signal deserving 
attention in this sense.

Alex